
function validateJancode(form) {
    var bValid = true;
    var focusField = null;
    var i = 0;
    var fields = new Array();

    var formName = form.getAttributeNode("name");

    oJancode = eval('new ' + formName.value + '_JancodeValidations()');
    for (x in oJancode) { //--2003.01.05
        if ((form[oJancode[x][0]].type == 'text' ||
             form[oJancode[x][0]].type == 'textarea') &&
            !(isJan13(form[oJancode[x][0]].value))) {
            if (i == 0) {
                focusField = form[oJancode[x][0]];
            }
            fields[i++] = oJancode[x][1];
            bValid = false;
        }
    }
    if (fields.length > 0) {
       focusField.focus();
       alert(fields.join('\n'));
    }
    return bValid;
}

function isJan13(sJan){
    
    var bstate=false;
    var bJan=new Array(13);
    var iTemp;
                                    
    if(sJan.length==13){}
    else{
        return true;
    }
    
	if ( sJan.substring(0, 9)=="000000000" )
		return true;
                    
    for(i=0;i<bJan.length;i++) {
        bJan[i] = parseInt(sJan.charAt(i));
    }
        
    iTemp = bJan[1]+bJan[3]+bJan[5]+bJan[7]+bJan[9]+bJan[11];
    iTemp = (iTemp*3)+(bJan[0]+bJan[2]+bJan[4]+bJan[6]+bJan[8]+bJan[10]);
        
    if(iTemp%10==0)
        iTemp = 0;
    else
        iTemp = 10-(iTemp%10);

    if (iTemp==bJan[12]){
        bstate=true;
        //alert('True:'+iTemp+'  '+bJan[12]);
        }
    else{
        //alert('False:'+iTemp+'  '+bJan[12]);
    }	
    return bstate;
    
}

